Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.otd.httpserveradapter.webservice
Class WebRequest

    java.lang.Object
      com.stc.connector.otd.httpserveradapter.webservice.WebRequest

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class WebRequest

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

This interface represents a Web HTTP request.

Version:
  $Revision: 1.11 $

Constructor Summary
`WebRequest()` Default Constructor.

Method Summary
`java.lang.String` | `getAuthType()` Returns the name of the authentication scheme used to protect the servlet.
`byte[]` | `getByteArray()` Returns the contents of the request as a byte array.
`java.lang.String` | `getCharacterEncoding()` Returns the name of the character encoding used in the body of this request.
`int` | `getContentLength()` Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
`java.lang.String` | `getContentType()` Returns the MIME type of the body of the request, or null if the type is not known.
`java.lang.String` | `getContextPath()` Returns the portion of the request URI that indicates the context of the request.
`CookieList` | `getCookies()` Returns an array containing tall of the Cookie objects the client sent with this request.
`WebHeaderList` | `getHeaderInfo()` Returns a WebHeaderList representing the headers of this request.
`boolean` | `getIsRequestedSessionIdFromCookie()` Checks whether the requested session ID came in as a cookie.
`boolean` | `getIsRequestedSessionIdFromURL()` Checks whether the requested session ID came in as part of the request URL.
`boolean` | `getIsRequestedSessionIdValid()` Checks whether the requested session ID is still valid.
`boolean` | `getIsSecure()` Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
`boolean` | `getIsUserInRole(java.lang.String role)` Returns a boolean indicating whether the authenticated user is included in the specified logical "role".
`java.lang.String` | `getMethod()` Returns the name of the HTTP method with which this request was made; for example, GET, POST, or PUT.
`WebParameterList` | `getParameterInfo()` Returns a WebParameterList representing the parameters of this request.
`java.lang.String` | `getPathInfo()` Returns any extra path information associated with the URL the client sent when it made this request.
`java.lang.String` | `getPathTranslated()` Returns any extra path information after the servlet name but before the query string.
`java.lang.String` | `getProtocol()` Returns the name and version of the protocol the request uses in form protocol/majorVersion.minorVersion, for example, HTTP/1.1.
`java.lang.String` | `getQueryString()` Returns the query string that is contained in the request URL after the path.
`java.lang.String` | `getRemoteAddr()` Returns the Internet Protocol (IP) address of the client that sent the request.
`java.lang.String` | `getRemoteHost()` Returns the fully qualified name of the client that sent the request.
`java.lang.String` | `getRemoteUser()` Returns the login of the user making this request, if the user has not been authenticated.
`java.lang.String` | `getRequestedSessionId()` Returns the session ID specified by the client.
`java.lang.String` | `getRequestURI()` Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
`java.lang.String` | `getRequestURL()` Returns the reconstructed URL the client used to make the request.
`java.lang.String` | `getScheme()` Returns the name of the scheme used to make this request; for example http, https, or ftp.
`java.lang.String` | `getServerName()` Returns the host name of the server that received the request.
`int` | `getServerPort()` Returns the port number on which this request was received.
`java.lang.String` | `getServletPath()` Returns the part of this request's URL that calls the servlet.
`java.lang.String` | `getText()` Returns the contents of the request as a string.
`java.security.Principal` | `getUserPrincipal()` Returns a java.security.Principal object containing the name of the current authenticated user.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dos)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput dis)` Restore (deserialize) this message.
`void` | `setAuthType(java.lang.String type)` Sets the name of the authentication scheme used to protect the servlet.
`void` | `setByteArray(byte[] c)` Sets the contents of the request as a byte array.
`void` | `setCharacterEncoding(java.lang.String enc)` Sets the name of the character encoding used in the body of this request.
`void` | `setContentLength(int len)` Sets the length, in bytes, of the request body.
`void` | `setContentType(java.lang.String type)` Sets the MIME type of the body of the request.
`void` | `setContextPath(java.lang.String path)` Sets the portion of the request URI that indicates the context of the request.
`void` | `setCookies(CookieList c)` Sets an array containing tall of the Cookie objects the client sent with this request.
`void` | `setHeaderInfo(WebHeaderList h)` Sets the WebHeaderList representing headers of this request.
`void` | `setIsRequestedSessionIdFromCookie(boolean flag)` Sets whether the requested session ID came in as a cookie.
`void` | `setIsRequestedSessionIdFromURL(boolean flag)` Sets whether the requested session ID came in as part of the request URL.
`void` | `setIsRequestedSessionIdValid(boolean flag)` Sets whether the requested session ID is still valid.
`void` | `setIsSecure(boolean flag)` Sets a boolean indicating whether this request was made using a secure channel, such as HTTPS.
`void` | `setMethod(java.lang.String method)` Sets the name of the HTTP method with which this request was made; for example, GET, POST, or PUT.
`void` | `setParameterInfo(WebParameterList p)` Sets the WebParameterList representing parameters of this request.
`void` | `setPathInfo(java.lang.String path)` Sets any extra path information associated with the URL the client sent when it made this request.
`void` | `setPathTranslated(java.lang.String path)` Sets any extra path information after the servlet name but before the query string.
`void` | `setProtocol(java.lang.String p)` Sets the name and version of the protocol the request uses in form protocol/majorVersion.minorVersion, for example, HTTP/1.1.
`void` | `setQueryString(java.lang.String query)` Sets the query string that is contained in the request URL after the path.
`void` | `setRemoteAddr(java.lang.String addr)` Sets the Internet Protocol (IP) address of the client that sent the request.
`void` | `setRemoteHost(java.lang.String host)` Sets the fully qualified name of the client that sent the request.
`void` | `setRemoteUser(java.lang.String user)` Sets the login of the user making this request, if the user has not been authenticated.
`void` | `setRequestedSessionId(java.lang.String sessionID)` Sets the session ID specified by the client.
`void` | `setRequestURI(java.lang.String uri)` Sets the part of this request's URL from the protocol name dos.writeInt(version); up to the query string in the first line of the HTTP request.
`void` | `setRequestURL(java.lang.String url)` Sets the reconstructed URL the client used to make the request.
`void` | `setScheme(java.lang.String sch)` Sets the name of the scheme used to make this request; for example http, https, or ftp.
`void` | `setServerName(java.lang.String name)` Sets the host name of the server that received the request.
`void` | `setServerPort(int port)` Sets the port number on which this request was received.
`void` | `setServletPath(java.lang.String path)` Sets the part of this request's URL that calls the servlet.
`void` | `setText(java.lang.String c)` Sets the contents of the request as a string.
`void` | `setUserPrincipal(java.security.Principal p)` Sets a java.security.Principal object containing the name of the current authenticated user.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebRequest

    public WebRequest()

  Default Constructor.

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Returns the name of the character encoding used in the body of this request.

  Returns:
    Name of the character encoding used

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String enc)

  Sets the name of the character encoding used in the body of this request.

  Parameters:
    `enc` - Name of the character encoding used

### getContentLength

    public int getContentLength()

  Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.

  Returns:
    The length, in bytes, of the request body; -1 if the length is not known.

### setContentLength

    public void setContentLength(int len)

  Sets the length, in bytes, of the request body.

  Parameters:
    `len` - The length, in bytes, of the request body

### getContentType

    public java.lang.String getContentType()

  Returns the MIME type of the body of the request, or null if the type is not known.

  Returns:
    MIME type of the body of the request.

### setContentType

    public void setContentType(java.lang.String type)

  Sets the MIME type of the body of the request.

  Parameters:
    `type` - MIME type of the body of the request.

### getParameterInfo

    public WebParameterList getParameterInfo()

  Returns a WebParameterList representing the parameters of this request.

  Returns:
    WebParameterList of this request.

### setParameterInfo

    public void setParameterInfo(WebParameterList p)

  Sets the WebParameterList representing parameters of this request.

  Parameters:
    `p` - WebParameterList of the parameters of this request.

### getProtocol

    public java.lang.String getProtocol()

  Returns the name and version of the protocol the request uses in form protocol/majorVersion.minorVersion, for example, HTTP/1.1.

  Returns:
    Name and version of the protocol

### setProtocol

    public void setProtocol(java.lang.String p)

  Sets the name and version of the protocol the request uses in form protocol/majorVersion.minorVersion, for example, HTTP/1.1.

  Parameters:
    `p` - Name and version of the protocol

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Returns the Internet Protocol (IP) address of the client that sent the request.

  Returns:
    The Internet Protocol (IP) address of the client.

### setRemoteAddr

    public void setRemoteAddr(java.lang.String addr)

  Sets the Internet Protocol (IP) address of the client that sent the request.

  Parameters:
    `addr` - The Internet Protocol (IP) address of the client.

### getRemoteHost

    public java.lang.String getRemoteHost()

  Returns the fully qualified name of the client that sent the request.

  Returns:
    The fully qualified name of the client that sent the request.

### setRemoteHost

    public void setRemoteHost(java.lang.String host)

  Sets the fully qualified name of the client that sent the request.

  Parameters:
    `host` - The fully qualified name of the client that sent the request.

### getScheme

    public java.lang.String getScheme()

  Returns the name of the scheme used to make this request; for example http, https, or ftp.

  Returns:
    Name of the scheme used to make this request.

### setScheme

    public void setScheme(java.lang.String sch)

  Sets the name of the scheme used to make this request; for example http, https, or ftp.

  Parameters:
    `sch` - Name of the scheme used to make this request.

### getServerName

    public java.lang.String getServerName()

  Returns the host name of the server that received the request.

  Returns:
    Host name of the server that received the request.

### setServerName

    public void setServerName(java.lang.String name)

  Sets the host name of the server that received the request.

  Parameters:
    `name` - Host name of the server that received the request.

### getServerPort

    public int getServerPort()

  Returns the port number on which this request was received.

  Returns:
    Port number on which this request was received.

### setServerPort

    public void setServerPort(int port)

  Sets the port number on which this request was received.

  Parameters:
    `port` - Port number on which this request was received.

### getIsSecure

    public boolean getIsSecure()

  Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.

  Returns:
    Boolean indicating whether this request was made using a secure channel, such as HTTPS

### setIsSecure

    public void setIsSecure(boolean flag)

  Sets a boolean indicating whether this request was made using a secure channel, such as HTTPS.

  Parameters:
    `flag` - Boolean indicating whether this request was made using a secure channel, such as HTTPS

### getAuthType

    public java.lang.String getAuthType()

  Returns the name of the authentication scheme used to protect the servlet.

  Returns:
    Name of the authentication schema used to protect the servlet.

### setAuthType

    public void setAuthType(java.lang.String type)

  Sets the name of the authentication scheme used to protect the servlet.

  Parameters:
    `type` - Name of the authentication schema used to protect the servlet.

### getContextPath

    public java.lang.String getContextPath()

  Returns the portion of the request URI that indicates the context of the request.

  Returns:
    Portion of the request URI that indicates the context of the request.

### setContextPath

    public void setContextPath(java.lang.String path)

  Sets the portion of the request URI that indicates the context of the request.

  Parameters:
    `path` - Portion of the request URI that indicates the context of the request.

### getCookies

    public CookieList getCookies()

  Returns an array containing tall of the Cookie objects the client sent with this request.

  Returns:
    Array containing all of the Cookie objects the client sent with this request.

### setCookies

    public void setCookies(CookieList c)

  Sets an array containing tall of the Cookie objects the client sent with this request.

  Parameters:
    `c` - Array containing all of the Cookie objects the client sent with this request.

### getHeaderInfo

    public WebHeaderList getHeaderInfo()

  Returns a WebHeaderList representing the headers of this request.

  Returns:
    WebHeaderList of the headers of this request.

### setHeaderInfo

    public void setHeaderInfo(WebHeaderList h)

  Sets the WebHeaderList representing headers of this request.

  Parameters:
    `h` - WebHeaderList of the headers of this request.

### getMethod

    public java.lang.String getMethod()

  Returns the name of the HTTP method with which this request was made; for example, GET, POST, or PUT.

  Returns:
    Name of the HTTP method with which this request was made.

### setMethod

    public void setMethod(java.lang.String method)

  Sets the name of the HTTP method with which this request was made; for example, GET, POST, or PUT.

  Parameters:
    `method` - Name of the HTTP method with which this request was made.

### getPathInfo

    public java.lang.String getPathInfo()

  Returns any extra path information associated with the URL the client sent when it made this request.

  Returns:
    Any extra path information associated with the URL the client sent

### setPathInfo

    public void setPathInfo(java.lang.String path)

  Sets any extra path information associated with the URL the client sent when it made this request.

  Parameters:
    `path` - Any extra path information associated with the URL the client sent

### getPathTranslated

    public java.lang.String getPathTranslated()

  Returns any extra path information after the servlet name but before the query string.

  Returns:
    Any extra path information after the servlet name but before the query string, and translates it to a real path.

### setPathTranslated

    public void setPathTranslated(java.lang.String path)

  Sets any extra path information after the servlet name but before the query string.

  Parameters:
    `path` - Any extra path information after the servlet name but before the query string, and translates it to a real path.

### getQueryString

    public java.lang.String getQueryString()

  Returns the query string that is contained in the request URL after the path.

  Returns:
    The query string that is contained in the request URL after the path.

### setQueryString

    public void setQueryString(java.lang.String query)

  Sets the query string that is contained in the request URL after the path.

  Parameters:
    `query` - The query string that is contained in the request URL after the path.

### getRemoteUser

    public java.lang.String getRemoteUser()

  Returns the login of the user making this request, if the user has not been authenticated.

  Returns:
    The login of the user making this request if the user has not been authenticated.

### setRemoteUser

    public void setRemoteUser(java.lang.String user)

  Sets the login of the user making this request, if the user has not been authenticated.

  Parameters:
    `user` - The login of the user making this request if the user has not been authenticated.

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Returns the session ID specified by the client.

  Returns:
    The session ID specified by the client.

### setRequestedSessionId

    public void setRequestedSessionId(java.lang.String sessionID)

  Sets the session ID specified by the client.

  Parameters:
    `sessionID` - The session ID specified by the client.

### getRequestURI

    public java.lang.String getRequestURI()

  Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.

  Returns:
    The part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.

### setRequestURI

    public void setRequestURI(java.lang.String uri)

  Sets the part of this request's URL from the protocol name dos.writeInt(version); up to the query string in the first line of the HTTP request.

  Parameters:
    `uri` - The part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.

### getRequestURL

    public java.lang.String getRequestURL()

  Returns the reconstructed URL the client used to make the request.

  Returns:
    The reconstructed URL the client used to make the request.

### setRequestURL

    public void setRequestURL(java.lang.String url)

  Sets the reconstructed URL the client used to make the request.

  Parameters:
    `url` - The reconstructed URL the client used to make the request.

### getServletPath

    public java.lang.String getServletPath()

  Returns the part of this request's URL that calls the servlet.

  Returns:
    The part of this request's URL that calls the servlet.

### setServletPath

    public void setServletPath(java.lang.String path)

  Sets the part of this request's URL that calls the servlet.

  Parameters:
    `path` - The part of this request's URL that calls the servlet.

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Returns a java.security.Principal object containing the name of the current authenticated user.

  Returns:
    A Principal object containing the name of the current authenticated user.

### setUserPrincipal

    public void setUserPrincipal(java.security.Principal p)

  Sets a java.security.Principal object containing the name of the current authenticated user.

  Parameters:
    `p` - A Principal object containing the name of the current authenticated user.

### getIsRequestedSessionIdFromCookie

    public boolean getIsRequestedSessionIdFromCookie()

  Checks whether the requested session ID came in as a cookie.

  Returns:
    Indicates whether the requested session ID came in as a cookie.

### setIsRequestedSessionIdFromCookie

    public void setIsRequestedSessionIdFromCookie(boolean flag)

  Sets whether the requested session ID came in as a cookie.

  Parameters:
    `flag` - Indicates whether the requested session ID came in as a cookie.

### getIsRequestedSessionIdFromURL

    public boolean getIsRequestedSessionIdFromURL()

  Checks whether the requested session ID came in as part of the request URL.

  Returns:
    Indicates whether the requested session ID came in as part of the request URL.

### setIsRequestedSessionIdFromURL

    public void setIsRequestedSessionIdFromURL(boolean flag)

  Sets whether the requested session ID came in as part of the request URL.

  Parameters:
    `flag` - Indicates whether the requested session ID came in as part of the request URL.

### getIsRequestedSessionIdValid

    public boolean getIsRequestedSessionIdValid()

  Checks whether the requested session ID is still valid.

  Returns:
    Indicates whether the requested session ID still valid.

### setIsRequestedSessionIdValid

    public void setIsRequestedSessionIdValid(boolean flag)

  Sets whether the requested session ID is still valid.

  Parameters:
    `flag` - Indicates whether the requested session ID still valid.

### getIsUserInRole

    public boolean getIsUserInRole(java.lang.String role)

  Returns a boolean indicating whether the authenticated user is included in the specified logical "role".

  Returns:
    Boolean indicating whether the authenticated user is included in the specified logical "role."

### getByteArray

    public byte[] getByteArray()

  Returns the contents of the request as a byte array.

  Returns:
    Contents of the request as a byte array; null if not available

### setByteArray

    public void setByteArray(byte[] c)

  Sets the contents of the request as a byte array.

  Parameters:
    `c` - Contents of the request as a byte array; null if not available

### setText

    public void setText(java.lang.String c)

  Sets the contents of the request as a string.

  Parameters:
    `c` - Contents of the request as a String; null if not available

### getText

    public java.lang.String getText()

  Returns the contents of the request as a string.

  Returns:
    Contents of the request as a string; null if not available

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInputStream from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.